Subject: Re: [AVT] Comment on 3984bis: Meaning of Highest/Lowest Operation Point

From: "Vikram Khurana (vkhurana)" <[email-masked]>
Date: Mon, 7 Dec 2009 13:16:09 -0800

Hi Thomas,

    Thanks for getting back to us and clarifying your stand on it.

    Please let me explain where I am coming from...
    A: If I am an endpoint of admirable capabilities, I want to
advertize to the
       other endpoints all of my capabilities. I am not referring to
just the profile-level
       capabilities, but capabilities in terms of ability to transcode
the video
       streams into neighboring resolutions and frame rates, etc.
Limiting it to just a
       single hierarchy is limiting and may dissuade other endpoints to
do video with me,
       when we could. 
    B: If I am a Conferencing Server. Again, I am capable and I want to 
       Connect to endpoints of hugely different capabilities into a
single conference.
       I need to be able to offer it everything and let it choose what
it wants to send.
       Again, limiting the capabilities to one hierarchy is restrictive.

    Any guidance into why we would want to limit these endpoints and
conferencing servers would
    be very helpful. If there is an alternate way, that would be helpful
as well.

Regards
-vikram
 
-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Thomas Schierl
Sent: Friday, December 04, 2009 11:31 PM
To: Vikram Khurana (vkhurana)
Cc: [email-masked]
Subject: Re: [AVT] Comment on 3984bis: Meaning of Highest/Lowest
Operation Point

Dear Vikram,

Actually, the title of this email seems to be misreading, since it 
addressed the SVC draft and not 3984bis.

You may misinterpret the text in the SVC draft. Operation point 
definitions by "operation-point-info" are maid for a single and valid 
SVC stream containing multiple layers, where the lowest operation point 
declares the first one in decoding order of the stream. Your example 
seems to be wrong, since the order of the operations points should 
follow the decoding order. Operation point info does not give a bunch of

possible encodings, it does give a detailed description of the SVC 
stream intended to be sent by the offerer. And the answerer selects up 
to which operation point it wants to receive the SVC stream including 
all lower layers using the parameter scalable-layer-id.

Best regards,
Thomas

-- 
Thomas Schierl
--------------
Fraunhofer HHI

Vikram Khurana (vkhurana) wrote:
> Hi YK,
>
>    We have been having this discussion on the side here among
ourselves
> at Cisco.
>    Is the following list of operation-points in an Offer valid :
>    a=fmtp:97 profile-level-id=53000c; packetization-mode=1;
>       sprop-operation-point-info=<1,level=1.3,320x180>,
>                                  <4,level=1.3, CIF>
>                                  <7,level=1.3, QVGA>
>                                  <5,level=3.0, 4CIF>
>                                  <2,level=3.1,640x360>,
>                                  <6,level=3.1, 1408x1152>
>                                  <3,level=3.2,1280x720>;
>                                  <8,Level 3.2,VGA>
>
>    When I read the text of SVC draft, it does not clearly state if
such
> a case would be invalid.
>    Here I am thinking of a conferencing bridge, which is capable of
> supporting
>    varying and markedly different resolutions and frame rates, which
may
> not fit in a single hierarchy.
>    The text refers to "lowest operation point" and "highest operation
> point".
>    What do they mean.. highest.. is it the one with all the layers of
> the most complex layering configuration
>    supported ? Then the above offer seems valid. Or are all operation
> points limited to a single hierarchy ?
>    That sounds simpler but limits the scope IMO.
>
> Regards,
> -vikram
> _______________________________________________
> Audio/Video Transport Working Group
> [email-masked]
> https://www.ietf.org/mailman/listinfo/avt
>
>
>   

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www.ietf.org/mailman/listinfo/avt